{% extends "base.html" %}
{% load static from staticfiles %}
{% load url from future %}
{% load tz %}
{% load i18n %}

{% block title %}
    {{ block.super }} View my subscriptions
{% endblock %}

{% block content %}
    {{ block.super }}


    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}
    {% if messages %}
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
        </ul>
    {% endif %}
    {% if subscription %}
        {% if user.is_superuser %}
            <h1>All subscriptions</h1>
        {% else %}
            <h1>Your calendars </h1>

            <p>
            <ul>
                <li>Your calendars are composed of imported calendars and sole events</li>
                <li>A mail will be sent periodically (every {{ date_to }} days)</li>
                <li>
                            <span>You can test mail by clicking
                            <form enctype="multipart/form-data" action=""
                                  method="post">{% csrf_token %}
                                <input type="submit" value="Test email"/>
                                <input type="hidden" name="test_email" id="test_email" value="{{ user.id }}">
                            </form>
                        </span>
                </li>

            </ul>
            </p>
        {% endif %}

        Your default calendar is <a href="#default_subscription">{{ my_default_subscription.description }}</a>
        sent to: <a href="mailto:{{ my_default_subscription.email }}">{{ my_default_subscription.email }}</a>

        <table cellpadding="0" cellspacing="0" border="1" class="display" id="calTable">
            <thead>
            <tr>
                <th>Legend</th>
                <th>email</th>
                <th></th>
                <th>Subscriptions</th>
                <th>RemindMe</th>
            </tr>
            </thead>
            <tbody>

            {% for sub, cals in subs.items %}

                <tr>
                    <td>
                        {% if my_default_subscription == sub %}
                            <b>
                        {% endif %}
                        {% if sub.description %}
                            {{ sub.description }}
                        {% else %}
                            {% trans "My default calendar" %}
                        {% endif %}
                        {% if my_default_subscription == sub %}
                            </b>
                        {% endif %}
                        </div>
                    </td>
                    <td>
                        {% if sub.enabled %}
                            ({% if my_default_subscription == sub %}
                            Default
                        {% else %}
                            <a href="#" class="set_default_cal" id="{{ sub.id }}">Set as default?</a>
                        {% endif %})

                            {% if user.is_superuser %} for {{ sub.created_by }}{% endif %}

                            {% if not sub.email %}
                                <i>Missing email. <a href="{% url 'update_sub' sub.id %} ">Please add it to receive
                                    messages</a></i>
                            {% else %}
                                sent to {{ sub.email }}
                            {% endif %}
                        {% else %}
                            actually deactivated
                        {% endif %}

                    </td>
                    <td>
                        <a href="{% url 'update_sub' sub.id %} ">Modify</a>
                        {% if sub.enabled %}
                            or Share

                            <a class="ical" title="Subscribe" href="{% url 'feed_by_user' sub_id=sub.id %} ">
                                <img src="{% static 'images/icon-rss.gif' %}" alt="RSS"></a>,
                            <div>
                                <a class="ical" title="Subscribe"
                                   href="{% url 'ical_by_user' sub_id=sub.id %}">
                                    <img src="{% static 'images/iCal.png' %}" alt="iCal">
                                </a>
                            </div>

                        {% endif %}
                    </td>
                    <td>
                        {% if sub.calendar.all %}
                            <table cellpadding="0" cellspacing="0" border="1" class="display" id="subTable">
                                <thead>
                                <tr>
                                    <th>Calendar</th>
                                    <th>Org</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for cal in sub.calendar.all %}
                                    <tr>
                                        <td>
                                            <a href="{% url 'calendar_detail' cal.id %} ">{{ cal }}</a>
                                        </td>
                                        <td>
                                            {% for org in cal.org.all %}
                                                {{ org }}
                                            {% endfor %}
                                        </td>
                                        <td>
                                            <a href="#" class="c_sub" id="{{ cal.id }}">unsubscribe</a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        {% endif %}

                    </td>
                    <td>
                        {% if sub.event.all %}
                            <table cellpadding="0" cellspacing="0" border="1" class="display" id="annTable">
                                <thead>
                                <tr>
                                    <th>Announce</th>
                                    <th>Org</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for event in sub.event.all %}
                                    <tr>
                                        <td>
                                            <a href="{% url 'details_on_event' event.id %} ">{{ event }}</a>
                                        </td>
                                        <td>
                                            {% if event.calendar %}{{ event.calendar }}{% endif %}
                                            {% for org in event.org.all %}
                                                {{ org }}
                                            {% endfor %}
                                        </td>
                                        <td>
                                            <a href="#" class="remindme" id="{{ event.id }}">Forget</a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        {% endif %}

                    </td>
                </tr>
            {% endfor %}

            </tbody>
        </table>



        <hr>
        Create a new calendar (need a title and an email)
        <form id="monForm" action="" method="post">{% csrf_token %}

            <div class="element">
                <label for="pseudo">Title</label>
                <input type="text" id="description" name="description"/>
            </div>

            <div class="element">
                <label for="mail">Email</label>
                <input type="email" id="mail" name="mail"/>
            </div>

            <div class="element">
                <input type="submit" value="Go">
            </div>
            {% if user.is_authenticated %}
                <input type="hidden" name="user" id="user" value="{{ user.id }}">
            {% endif %}
        </form>


    {% else %}
        No subscription
    {% endif %}


{% endblock %}


{% block css %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'css/messages.css' %}"/>
{% endblock %}

{% block controleur_js %}
    {{ block.super }}
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>
    <script src="{% static 'js/mycalendar.js' %}"></script>
    <script src="{% static 'js/subscription.js' %}"></script>
{% endblock %}

